curl --request POST \
--url https://api.sibipro.com/offers/offers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer": {
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"phone": "+1 (123) 456-7890"
},
"address": {
"line1": "123 Main St",
"line2": "Apt 101",
"city": "Springfield",
"stateOrProvince": "IL",
"postalCode": "62701"
},
"product": {
"sku": "GDF511PGRBB",
"addons": [
{
"sku": "M007",
"quantity": 1
},
{
"sku": "M021",
"quantity": 1
},
{
"sku": "M402",
"quantity": 1
},
{
"sku": "M421",
"quantity": 1
},
{
"sku": "M435",
"quantity": 1
}
]
},
"sendOfferImmediately": true,
"allowCommonCarrier": true,
"externalJobID": "<string>",
"buyoutAmount": 50000,
"includeUpsells": true,
"subBrandId": "<string>"
}
'{
"id": "testofferid",
"address": {
"line1": "<string>",
"city": "<string>",
"stateOrProvince": "<string>",
"postalCode": "<string>",
"country": "<string>",
"line2": "<string>"
},
"createdAt": "2024-01-20T12:00:00Z",
"customerOfferLink": "<string>",
"warnings": [
"This product is only available via common carrier delivery for the selected address."
]
}This route is deprecated. Use /offers instead.
curl --request POST \
--url https://api.sibipro.com/offers/offers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer": {
"firstName": "John",
"lastName": "Doe",
"email": "john@example.com",
"phone": "+1 (123) 456-7890"
},
"address": {
"line1": "123 Main St",
"line2": "Apt 101",
"city": "Springfield",
"stateOrProvince": "IL",
"postalCode": "62701"
},
"product": {
"sku": "GDF511PGRBB",
"addons": [
{
"sku": "M007",
"quantity": 1
},
{
"sku": "M021",
"quantity": 1
},
{
"sku": "M402",
"quantity": 1
},
{
"sku": "M421",
"quantity": 1
},
{
"sku": "M435",
"quantity": 1
}
]
},
"sendOfferImmediately": true,
"allowCommonCarrier": true,
"externalJobID": "<string>",
"buyoutAmount": 50000,
"includeUpsells": true,
"subBrandId": "<string>"
}
'{
"id": "testofferid",
"address": {
"line1": "<string>",
"city": "<string>",
"stateOrProvince": "<string>",
"postalCode": "<string>",
"country": "<string>",
"line2": "<string>"
},
"createdAt": "2024-01-20T12:00:00Z",
"customerOfferLink": "<string>",
"warnings": [
"This product is only available via common carrier delivery for the selected address."
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
Delivery address details
Show child attributes
{
"line1": "123 Main St",
"line2": "Apt 101",
"city": "Springfield",
"stateOrProvince": "IL",
"postalCode": "62701"
}Replacement product and add-ons covered by warranty
Show child attributes
{
"sku": "GDF511PGRBB",
"addons": [
{ "sku": "M007", "quantity": 1 },
{ "sku": "M021", "quantity": 1 },
{ "sku": "M402", "quantity": 1 },
{ "sku": "M421", "quantity": 1 },
{ "sku": "M435", "quantity": 1 }
]
}Whether to send the offer email immediately after creation
true
Whether to allow offers for common carrier delivery properties
true
Buyout amount in cents (e.g., 50000 = $500.00). Customer can opt to receive this amount instead of a replacement product.
x >= 050000
Whether to include upsells in the offer
true
The ID of the sub-brand used to determine customer-facing branding for the offer
Offer created successfully
Unique identifier for the offer
"testofferid"
Show child attributes
Timestamp when the offer was created
"2024-01-20T12:00:00Z"
Link to allow the customer to authenticate and view the offer
Warnings for the offer
[
"This product is only available via common carrier delivery for the selected address."
]